Skip to main content
ExLibris
  • Subscribe by RSS
  • ExLibris Dev

    Error: Existing Oracle Home has version , PLease upgrade to 11.2.0.4.0 before you can continue"

    • Article Type: General
    • Product: Aleph
    • Product Version: 21

    Problem Symptoms:
    The following error occurs in AIK step 3.1 (ikit_3_1) ("Extract Oracle software") for an Aleph 21 site upgrading to Aleph 22:

    "Error: Existing Oracle Home has version , PLease upgrade to 11.2.0.4.0 before you can continue"

    Cause:
    Cause 1:
    This is a version 21 instance and /exlibris/app/oracle/product/11r2 contains the v21 Oracle 11.2.0.3.0, which needs to be upgraded.

    Cause 2:
    AIK Step 3.1 is implemented by the script /exlibris/ftp_from_exlibris/AIK22/ikit_3_1.
    The script ikit_3_1 calls the shell function CHECK_ORA_VER which is defined in the file /exlibris/ftp_from_exlibris/AIK22/param_bash.func.
    The function CHECK_ORA_VER calls the program $ORACLE_HOME/bin/sqlplus with the option -v, in order to display the version of that program.
    The version of sqlplus is equivalent to the version of the Oracle software installed in the directory $ORACLE_HOME.
    The function CHECK_ORA_VER returns the Oracle version in the variable $ORAVER.

    In the case of Aleph 22 the AIK variable $ORACLE_HOME has the value /exlibris/app/oracle/product/11r2.
    If the directory /exlibris/app/oracle/product/11r2 exists but the program /exlibris/app/oracle/product/11r2/bin/sqlplus does not exist (e.g. because the directory 11r2 is empty),
    then the function CHECK_ORA_VER returns an empty string (ORAVER = "").

    After that the script ikit_3_1 executes the following function:

    ERROR "Existing Oracle Home has version $ORAVER, PLease upgrade to $ORACLE_VERSION before you can continue"

    This function writes the following error message to the AIK log file /exlibris/ftp_from_exlibris/AIK22/log/aleph_installation_kit.log:

    "Error: Existing Oracle Home has version , PLease upgrade to 11.2.0.4.0 before you can continue"

    Root cause:
    ===========
    This behavior of the AIK script ikit_3_1 is a bug (in the case of this Cause #2).

    Resolution:
    For Cause #1:
    Upgrade the v21 Oracle 11.2.0.3.0 to 11.2.0.4.0. See Article 000036538 ("Aleph 22: AIK Step 3.3 fails with error message "ERR: Oracle software versions are different on the target and source servers" ) in this regard.

    For Cause #2:
    This is a version 21 instance and /exlibris/app/oracle/product/11r2 contains the v21 Oracle 11.2.0.3.0. In this case, the 11.2.0.3.0 needs to be upgraded to 11.2.0.4.0. Consult Article 000036538 (see link below).

    General workaround:
    -------------------
    If no Oracle software exists in the directory /exlibris/app/oracle/product/11r2, then remove that directory.
    After that, execute AIK Step 3.1.

    Development is working on a change to prevent this message in this case (Cause #2).

    Note: in the case of a TWO_TASK set-up, see Additional Information below.

    Additional Information


    Article link: Aleph 22: AIK Step 3.3 fails with error message "ERR: Oracle software versions are different on the target and source servers .

    Additional step for TWO_TASK set-up....

    The Oracle software on the aleph-app server needs to be upgraded as well.  
    This Oracle command shows that: 

        oracle@aleph-app(aleph21)~$sqlplus -v 
        SQL*Plus: Release 11.2.0.3.0 Production 

    Category: System Management (500)


    //doorbell.io feedback widged